<?php

/*
	Plugin Name: Open Login
	Plugin URI: 
	Plugin Description: Allows users to log in via Facebook, Google and other Open Auth providers
	Plugin Version: 2.1.1
	Plugin Date: 2014-01-09
	Plugin Author: KingMedia
	Plugin Author URI: 
	Plugin License: GPLv2
	Plugin Minimum KingMedia Version: 1
	Plugin Minimum PHP Version: 5
	Plugin Update Check URI: 
*/

/*
	Based on Facebook Login plugin
*/

if (!defined('QA_VERSION')) { // don't allow this page to be requested directly from browser
	header('Location: ../../');
	exit;
}


if (!QA_FINAL_EXTERNAL_USERS) { // login modules don't work with external user integration

	qa_register_plugin_phrases('king-open-lang-*.php', 'plugin_open');
	qa_register_plugin_overrides('king-open-overrides.php');
	qa_register_plugin_layer('king-open-layer.php', 'OAuth/OpenID Layer');
	qa_register_plugin_module('page', 'king-open-page-logins.php', 'qa_open_logins_page', 'Open Login Configuration');
	
	// sice we're not allowed to access the database at this step, take the information from a local file
	// note: the file providers.php will be automatically generated when the configuration of the plugin
	// is updated on the Administration page
	$providers = @include_once dirname(__FILE__) . DIRECTORY_SEPARATOR . 'providers.php';
	if ($providers) {
		// loop through all active providers and register them
		$providerList = explode(',', $providers);
		foreach($providerList as $provider) {
			qa_register_plugin_module('login', 'king-open-login.php', 'qa_open_login', $provider);
		}
	}
	
}

/*
	Omit PHP closing tag to help avoid accidental output
*/
